Skip navigation links

Overview | Package | Class | Tree | Index | Help
| Oracle® Coherence Java API Reference Release 3.6.0.0 E15725-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tangosol.coherence.transaction
Interface ConnectionFactory

All Known Implementing Classes:
  DefaultConnectionFactory

      public interface ConnectionFactory

A factory for connections to a Coherence data grid.

Since:
  Coherence 3.6
Author:
  tb 2009.05.19

Method Summary
`Connection` | `createConnection()` Create a connection to a Coherence data grid.
`Connection` | `createConnection(ClassLoader loader)` Create a connection to a Coherence data grid.
`Connection` | `createConnection(String sServiceName)` Create a connection to a Coherence data grid.
`Connection` | `createConnection(String sServiceName, ClassLoader loader)` Create a connection to a Coherence data grid.

Method Detail

### createConnection

    Connection createConnection()

  Create a connection to a Coherence data grid. The returned connection is associated with a default cache service. All caches obtained through this connection will be associated with this default cache service.
  Returns:
    a connection to a Coherence data grid

### createConnection

    Connection createConnection(String sServiceName)

  Create a connection to a Coherence data grid. The returned connection is associated with a cache service specified by the given service name. All caches obtained through this connection will be associated with this cache service.
  Parameters:
    `sServiceName` - the name of the cache service to be associated with the connection; must be specified in a "transactional-scheme" configuration element
  Returns:
    a connection to a Coherence data grid

### createConnection

    Connection createConnection(ClassLoader loader)

  Create a connection to a Coherence data grid. The returned connection is associated with a default cache service. All caches obtained through this connection will be associated with this default cache service.
  Parameters:
    `loader` - class loader that should be used to configure the connection
  Returns:
    a connection to a Coherence data grid

### createConnection

    Connection createConnection(String sServiceName,
                                ClassLoader loader)

  Create a connection to a Coherence data grid. The returned connection is associated with a cache service specified by the given service name. All caches obtained through this connection will be associated with this cache service.
  Parameters:
    `sServiceName` - the name of the cache service to be associated with the connection; must be specified in a "transactional-scheme" configuration element
    `loader` - class loader that should be used to configure the connection
  Returns:
    a connection to a Coherence data grid

Skip navigation links

Overview | Package | Class | Tree | Index | Help
| Oracle® Coherence Java API Reference Release 3.6.0.0 E15725-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2010, Oracle and/or its affiliates. All rights reserved.